Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.util
Class Decoration

    java.lang.Object
      org.jboss.seam.ui.util.Decoration

    public class Decoration

extends Object

Constructor Summary
`Decoration()`

Method Summary
`static javax.faces.component.UIComponent` | `getDecoration(String name, javax.faces.component.UIComponent component)`
`static javax.faces.component.UIComponent` | `getEditableValueHolder(javax.faces.component.UIComponent component)` A depth-first search for an EditableValueHolder
`static boolean` | `hasMessage(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)`
`static boolean` | `hasRequired(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Decoration

    public Decoration()

Method Detail

### hasMessage

    public static boolean hasMessage(javax.faces.component.UIComponent component,
                                     javax.faces.context.FacesContext context)

### hasRequired

    public static boolean hasRequired(javax.faces.component.UIComponent component,
                                      javax.faces.context.FacesContext context)

### getEditableValueHolder

    public static javax.faces.component.UIComponent getEditableValueHolder(javax.faces.component.UIComponent component)

  A depth-first search for an EditableValueHolder

### getDecoration

    public static javax.faces.component.UIComponent getDecoration(String name,
                                                                  javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.